<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Enums;

/**
 * Enum ModelStatusEnum
 *
 * @package Seka\Vzdelavanie\Enums
 */
enum ModelStatusEnum: string
{
    case PUBLIKOVANE = 'PUBLIKOVANE';
    case NEPUBLIKOVANE = 'NEPUBLIKOVANE';

    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'PUBLIKOVANE' => 'publikované',
            'NEPUBLIKOVANE' => 'nepublikované',
        ];
    }

    /**
     * @return string
     */
    public function getLabel(): string
    {
        return match ($this) {
            self::PUBLIKOVANE => 'publikované',
            self::NEPUBLIKOVANE => 'nepublikované',
        };
    }
}
